GeoPath.Impl.PointIt (OpenMap API)
Date: 2016-12-09

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bbn.openmap.geo
Class GeoPath.Impl.PointIt

    java.lang.Object
      com.bbn.openmap.geo.GeoPath.Impl.PointIt

All Implemented Interfaces:
  GeoExtent, GeoPath.PointIterator, GeoPoint, java.util.Iterator

Enclosing class:
  GeoPath.Impl

    protected class GeoPath.Impl.PointIt

extends java.lang.Object
implements GeoPath.PointIterator, GeoPoint

Nested Class Summary

Nested classes/interfaces inherited from interface com.bbn.openmap.geo.GeoPoint
`GeoPoint.Impl`

Constructor Summary
`GeoPath.Impl.PointIt()`

Method Summary
`BoundingCircle` | `getBoundingCircle()` compute a point and radius around the extent.
`java.lang.Object` | `getID()` GeoExtent method
`Geo` | `getPoint()` return the current point as a Geo object
`java.lang.Object` | `getPointId()` Deprecated. use getID() instead.
`boolean` | `hasNext()` Asking if is there another point.
`java.lang.Object` | `next()` standard implementation of Iterator.next() returns the same value as nextPoint(), albeit needing casting to GPoint.
`GeoPoint` | `nextPoint()` Advance to the next point.
`void` | `remove()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GeoPath.Impl.PointIt

    public GeoPath.Impl.PointIt()

Method Detail

### hasNext

    public boolean hasNext()

  Description copied from interface: `GeoPath.PointIterator`
  Asking if is there another point. *

  Specified by:
    `hasNext` in interface `GeoPath.PointIterator`
  Specified by:
    `hasNext` in interface `java.util.Iterator`

### next

    public java.lang.Object next()

  Description copied from interface: `GeoPath.PointIterator`
  standard implementation of Iterator.next() returns the same value as nextPoint(), albeit needing casting to GPoint.

  Specified by:
    `next` in interface `GeoPath.PointIterator`
  Specified by:
    `next` in interface `java.util.Iterator`

### nextPoint

    public GeoPoint nextPoint()

  Description copied from interface: `GeoPath.PointIterator`
  Advance to the next point. Some implementations will also implement GPoint, so that #next() returns the iterator instance itself, but this should not be depended on.

  Specified by:
    `nextPoint` in interface `GeoPath.PointIterator`
  Returns:
    the next GPoint

### remove

    public void remove()

  Specified by:
    `remove` in interface `java.util.Iterator`

### getPoint

    public Geo getPoint()

  Description copied from interface: `GeoPoint`
  return the current point as a Geo object

  Specified by:
    `getPoint` in interface `GeoPoint`

### getPointId

    public java.lang.Object getPointId()

  Deprecated. use getID() instead.

### getID

    public java.lang.Object getID()

  GeoExtent method

  Specified by:
    `getID` in interface `GeoExtent`
  Returns:
    Object ID for current point.

### getBoundingCircle

    public BoundingCircle getBoundingCircle()

  Description copied from interface: `GeoExtent`
  compute a point and radius around the extent.

  Specified by:
    `getBoundingCircle` in interface `GeoExtent`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (C) BBNT Solutions LLC; See http://openmap.bbn.com/ for details